summaryrefslogtreecommitdiff
path: root/app-admin/mcollective/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
commit4f2d7949f03e1c198bc888f2d05f421d35c57e21 (patch)
treeba5f07bf3f9d22d82e54a462313f5d244036c768 /app-admin/mcollective/files
reinit the tree, so we can have metadata
Diffstat (limited to 'app-admin/mcollective/files')
-rw-r--r--app-admin/mcollective/files/mcollectived.initd28
1 files changed, 28 insertions, 0 deletions
diff --git a/app-admin/mcollective/files/mcollectived.initd b/app-admin/mcollective/files/mcollectived.initd
new file mode 100644
index 000000000000..8e295ceaa41c
--- /dev/null
+++ b/app-admin/mcollective/files/mcollectived.initd
@@ -0,0 +1,28 @@
+#!/sbin/openrc-run
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the Apache License, Version 2.0
+
+mcollectived="/usr/sbin/mcollectived"
+pidfile="/var/run/mcollectived"
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting mcollectived"
+ ${mcollectived} --pid=${pidfile} --config="/etc/mcollective/server.cfg"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping mcollectived"
+ kill `cat ${pidfile}`
+ eend $?
+}
+
+restart() {
+ svc_stop
+ sleep 2
+ svc_start
+}